SSOプロバイダ照会

指定したSSOプロバイダの基本情報と設定仕様、現在の設定値を併せて取得します。protected として指定された設定キーの値はマスクされた状態で返されます。

必要な権限

ADMIN以上のロールが必要です。

HTTPリクエスト

GET /api/sonar/sso-providers/:id
cURL例
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/sso-providers/saml
リクエストパラメータ
パスパラメータ
キー説明備考
id文字列SSOプロバイダ識別子

正常応答

{
  "id": "saml",
  "name": "SAML",
  "path": "/sonar/sso/saml",
  "icon": "iVBORw0KGgoAAAANSUhEUgAA...",
  "enabled": true,
  "description": "本社SAML IdP連携",
  "configs": [
    {
      "name": "idp_url",
      "protected": false,
      "value": "https://idp.example.com/saml",
      "type": "string",
      "subtype": null,
      "required": true,
      "display_name": "IdP URL",
      "description": "SAML IdPエンドポイント",
      "default_value": null,
      "min": null,
      "max": null
    },
    {
      "name": "client_secret",
      "protected": true,
      "value": "",
      "type": "string",
      "subtype": null,
      "required": true,
      "display_name": "クライアントシークレット",
      "description": "",
      "default_value": null,
      "min": null,
      "max": null
    }
  ]
}
  • id (文字列): SSOプロバイダ識別子
  • name (文字列): ロケールが適用された表示名
  • path (文字列): SSOログイン入口パス
  • icon (文字列): Base64エンコードされたアイコン画像。アイコンがない場合は null
  • enabled (ブーリアン): 有効化状態
  • description (文字列): ユーザが入力した説明
  • configs (配列): プロバイダ設定仕様と現在の値
    • name (文字列): 設定キー
    • protected (ブーリアン): 保護設定かどうか。true の場合 value はマスクされ空文字列で返されます
    • value (オブジェクト): 現在の設定値。保護設定の場合は空文字列
    • type (文字列): データ型
    • subtype (文字列): UIで認識される拡張コンポーネントタイプ
    • required (ブーリアン): 必須かどうか
    • display_name (文字列): ロケールが適用された画面表示名
    • description (文字列): ロケールが適用された画面表示説明
    • default_value (オブジェクト): デフォルト値。subtypeenum の場合は null
    • selectable (オブジェクト): subtypeenum の場合の選択可能な値一覧
    • min (数値): 最小値の制約
    • max (数値): 最大値の制約

エラー応答

idが指定されていない場合

HTTPステータスコード 400 応答

{
  "error_code": "null-argument",
  "error_msg": "id should be not null"
}
プロバイダが存在しない場合

HTTPステータスコード 500 応答

{
  "error_code": "illegal-argument",
  "error_msg": "provider not found: saml"
}
権限がない場合

HTTPステータスコード 500 応答

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}